Bug 126887 - SMP kernel breaks NIC
SMP kernel breaks NIC
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-28 16:17 EDT by Tom Wood
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2004-06-28 16:17:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The SMP kernel doesn't allow the NIC to transmit.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.6-1.435

How reproducible:
Always

Steps to Reproduce:
1. Boot kernel-smp-2.6.6-1.435
2. Watch cups, sendmail, and sm-client take a long time to start.
3. Log in and attempt network access.
4. netstat -i will show TX failures.
    

Actual Results:  Networking should have worked.

Expected Results:  Network didn't work.

Additional info:

Messages from /var/log/messages 

kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jun 28 14:35:58 neon kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jun 28 14:36:30 neon last message repeated 4 times
Jun 28 14:37:34 neon last message repeated 8 times
Jun 28 14:38:42 neon last message repeated 8 times
Jun 28 14:39:14 neon last message repeated 4 times
Jun 28 14:39:20 neon login(pam_unix)[1672]: session opened for user
root by LOGIN(uid=0)
Jun 28 14:39:20 neon  -- root[1672]: ROOT LOGIN ON tty1
Jun 28 14:39:22 neon kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jun 28 14:39:54 neon last message repeated 4 times
Jun 28 14:40:42 neon last message repeated 6 times
Jun 28 14:41:43 neon kernel: eth0: Setting full-duplex based on MII#1
link partner capability of 45e1.
Jun 28 14:43:09 neon iptables:  succeeded
Jun 28 14:43:09 neon last message repeated 2 times
Jun 28 14:44:27 neon kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jun 28 14:45:03 neon last message repeated 4 times
Jun 28 14:46:11 neon last message repeated 8 times
Jun 28 14:46:59 neon last message repeated 6 times


Jun 28 14:54:32 neon kernel: NETDEV WATCHDOG: eth0: transmit timed out
Jun 28 14:54:32 neon kernel: eth0: transmit timed out, tx_status 00
status e601.
Jun 28 14:54:32 neon kernel:   diagnostics: net 0ccc media 8880 dma
0000003a fifo 0000
Jun 28 14:54:32 neon kernel: eth0: Interrupt posted but not delivered
-- IRQ blocked by another device?
Jun 28 14:54:32 neon kernel:   Flags; bus-master 1, dirty 16(0)
current 16(0)
Jun 28 14:54:32 neon kernel:   Transmit list 00000000 vs. 3e018200.
Jun 28 14:54:32 neon kernel:   0: @3e018200  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   1: @3e0182a0  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   2: @3e018340  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   3: @3e0183e0  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   4: @3e018480  length 8000005a status
0001005a
Jun 28 14:54:32 neon kernel:   5: @3e018520  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   6: @3e0185c0  length 8000004e status
0001004e
Jun 28 14:54:32 neon kernel:   7: @3e018660  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   8: @3e018700  length 80000046 status
00010046
Jun 28 14:54:32 neon kernel:   9: @3e0187a0  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   10: @3e018840  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   11: @3e0188e0  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   12: @3e018980  length 80000046 status
00010046
Jun 28 14:54:32 neon kernel:   13: @3e018a20  length 8000002a status
0001002a
Jun 28 14:54:32 neon kernel:   14: @3e018ac0  length 8000002a status
8001002a
Jun 28 14:54:32 neon kernel:   15: @3e018b60  length 80000046 status
80010046

I believe that the previous kernel-smp also had this problem.
Comment 1 Dave Jones 2005-01-14 00:25:11 EST
still a problem with the latest updates ?
Comment 2 Tom Wood 2005-01-19 21:35:40 EST
No problem with latest updates.  2.6.10-1.9_FC2smp works fine.  Can't say what
previous kernels work for sure (suspect 2.6.7 and up are ok).
Comment 3 Dave Jones 2005-04-16 00:28:31 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.